Subject: Re: bug#36414: 27.0.50; svg-clock does not work anymore

From: Stefan Kangas <[email-masked]>
Date: Tue, 18 Aug 2020 11:21:00 +0000

tags 36414 + patch
thanks

Dieter Deyke <[email-masked]> writes:

> Pip Cet <[email-masked]> writes:
>
>> On Fri, Jun 28, 2019 at 5:29 AM Dieter Deyke <[email-masked]> wrote:
>>> Executing (svg-clock) from elpa does not show the clock anymore, but just the
>>> single char '*'.
>>
>> Sorry for barging in, I thought this might be related to the recent
>> image.c changes so I had a look.
>>
>> svg-clock.el uses `svg-def', which is now an internal function,
>> `svg--def'. I believe Lars is the one working on this.
>>
>> Can you try the attached patch to see whether that is indeed the problem?
>
> Thanks,
>
> your patch works perfectly.

This patch seems to have fixed the problem, but AFAICT it was never
installed.

Should it be installed, or is there some reason not to?  Thanks.

Best regards,
Stefan Kangas